My Project: dMatrix Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dMatrix Class Reference

`#include <dMatrix.h>`

## Public Member Functions

| dMatrix ()
| dMatrix (const dFloat *const array)
| dMatrix (const dFloat64 *const array)
| dMatrix (const dVector &front, const dVector &up, const dVector &right, const dVector &posit)
| dMatrix (const dQuaternion &rotation, const dVector &position)
| dMatrix (dFloat pitch, dFloat yaw, dFloat roll, const dVector &location)
dVector & | operator[] (int i)
const dVector & | operator[] (int i) const
dMatrix | Inverse () const
dMatrix | Transpose () const
dMatrix | Transpose4X4 () const
dVector | RotateVector (const dVector &v) const
dVector | UnrotateVector (const dVector &v) const
dVector | TransformVector (const dVector &v) const
dVector | UntransformVector (const dVector &v) const
dVector | TransformPlane (const dVector &localPlane) const
dVector | UntransformPlane (const dVector &globalPlane) const
void | GetEulerAngles (dVector &euler1, dVector &euler2, dEulerAngleOrder order=m_pitchYawRoll) const
bool | TestIdentity () const
bool | TestOrthogonal () const
dMatrix | Inverse4x4 () const
dVector | RotateVector4x4 (const dVector &v) const
dMatrix | JacobiDiagonalization (dVector &eigenValues, const dMatrix &initialMatrix=dGetIdentityMatrix()) const
void | PolarDecomposition (dMatrix &transformMatrix, dVector &scale, dMatrix &stretchAxis, const dMatrix &initialStretchAxis=dGetIdentityMatrix()) const
| dMatrix (const dMatrix &transformMatrix, const dVector &scale, const dMatrix &stretchAxis)
void | TransformTriplex (dFloat *const dst, int dstStrideInBytes, const dFloat *const src, int srcStrideInBytes, int count) const
void | TransformTriplex (dFloat64 *const dst, int dstStrideInBytes, const dFloat64 *const src, int srcStrideInBytes, int count) const
dMatrix | operator* (const dMatrix &B) const
bool | SanityCheck () const

## Public Attributes

dVector | m_front
dVector | m_up
dVector | m_right
dVector | m_posit

## Constructor & Destructor Documentation

## § dMatrix() [1/7]

dMatrix::dMatrix | ( |  | ) |

inline

## § dMatrix() [2/7]

dMatrix::dMatrix | ( | const dFloat *const | array | ) |

inline

## § dMatrix() [3/7]

dMatrix::dMatrix | ( | const dFloat64 *const | array | ) |

inline

## § dMatrix() [4/7]

dMatrix::dMatrix | ( | const dVector & | front,
|  | const dVector & | up,
|  | const dVector & | right,
|  | const dVector & | posit
| ) |  |

inline

## § dMatrix() [5/7]

dMatrix::dMatrix | ( | const dQuaternion & | rotation,
|  | const dVector & | position
| ) |  |

## § dMatrix() [6/7]

dMatrix::dMatrix | ( | dFloat | pitch,
|  | dFloat | yaw,
|  | dFloat | roll,
|  | const dVector & | location
| ) |  |

## § dMatrix() [7/7]

dMatrix::dMatrix | ( | const dMatrix & | transformMatrix,
|  | const dVector & | scale,
|  | const dMatrix & | stretchAxis
| ) |  |

## Member Function Documentation

## § GetEulerAngles()

void dMatrix::GetEulerAngles | ( | dVector & | euler1,
|  | dVector & | euler2,
|  | dEulerAngleOrder | order = `m_pitchYawRoll`
| ) |  | const

## § Inverse()

dMatrix dMatrix::Inverse | ( |  | ) | const

## § Inverse4x4()

dMatrix dMatrix::Inverse4x4 | ( |  | ) | const

## § JacobiDiagonalization()

dMatrix dMatrix::JacobiDiagonalization | ( | dVector & | eigenValues,
|  | const dMatrix & | initialMatrix = `dGetIdentityMatrix()`
| ) |  | const

## § operator*()

dMatrix dMatrix::operator* | ( | const dMatrix & | B | ) | const

## § operator[]() [1/2]

dVector & dMatrix::operator[] | ( | int | i | ) |

inline

## § operator[]() [2/2]

const dVector & dMatrix::operator[] | ( | int | i | ) | const

inline

## § PolarDecomposition()

void dMatrix::PolarDecomposition | ( | dMatrix & | transformMatrix,
|  | dVector & | scale,
|  | dMatrix & | stretchAxis,
|  | const dMatrix & | initialStretchAxis = `dGetIdentityMatrix()`
| ) |  | const

## § RotateVector()

dVector dMatrix::RotateVector | ( | const dVector & | v | ) | const

## § RotateVector4x4()

dVector dMatrix::RotateVector4x4 | ( | const dVector & | v | ) | const

## § SanityCheck()

bool dMatrix::SanityCheck | ( |  | ) | const

## § TestIdentity()

bool dMatrix::TestIdentity | ( |  | ) | const

## § TestOrthogonal()

bool dMatrix::TestOrthogonal | ( |  | ) | const

## § TransformPlane()

dVector dMatrix::TransformPlane | ( | const dVector & | localPlane | ) | const

## § TransformTriplex() [1/2]

void dMatrix::TransformTriplex | ( | dFloat *const | dst,
|  | int | dstStrideInBytes,
|  | const dFloat *const | src,
|  | int | srcStrideInBytes,
|  | int | count
| ) |  | const

## § TransformTriplex() [2/2]

void dMatrix::TransformTriplex | ( | dFloat64 *const | dst,
|  | int | dstStrideInBytes,
|  | const dFloat64 *const | src,
|  | int | srcStrideInBytes,
|  | int | count
| ) |  | const

## § TransformVector()

dVector dMatrix::TransformVector | ( | const dVector & | v | ) | const

## § Transpose()

dMatrix dMatrix::Transpose | ( |  | ) | const

## § Transpose4X4()

dMatrix dMatrix::Transpose4X4 | ( |  | ) | const

## § UnrotateVector()

dVector dMatrix::UnrotateVector | ( | const dVector & | v | ) | const

## § UntransformPlane()

dVector dMatrix::UntransformPlane | ( | const dVector & | globalPlane | ) | const

## § UntransformVector()

dVector dMatrix::UntransformVector | ( | const dVector & | v | ) | const

## Member Data Documentation

## § m_front

dVector dMatrix::m_front

## § m_posit

dVector dMatrix::m_posit

## § m_right

dVector dMatrix::m_right

## § m_up

dVector dMatrix::m_up

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/packages/dMath/dMatrix.h
- dynamics.mod/NewtonDynamics/packages/dMath/dMatrix.cpp